import 'package:flutter/material.dart';

class StatusCircle extends StatelessWidget {
  final Color color;
  final Widget icon;
  final double size;

  const StatusCircle({
    super.key,
    required this.color,
    required this.icon,
    this.size = 42, // ✅ smaller = card height reduced
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: size,
      height: size,
      decoration: BoxDecoration(
        shape: BoxShape.circle,
        border: Border.all(color: color, width: 2),
        color: Colors.white,
      ),
      child: Center(child: icon),
    );
  }
}
